org.apache.ignite.internal.processors.cache.persistence.file

## Interface FilePageStoreFactory

All Known Implementing Classes:
  FileVersionCheckingFactory

    public interface FilePageStoreFactory

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default PageStore` `createPageStore(byte type, File file, LongAdderMetric allocatedTracker)` Creates instance of PageStore based on given file.
`PageStore` `createPageStore(byte type, IgniteOutClosure<Path> pathProvider, LongAdderMetric allocatedTracker)` Creates instance of PageStore based on file path provider.

### Method Detail

#### createPageStore

    default PageStore createPageStore(byte type,
                                      File file,
                                      LongAdderMetric allocatedTracker)
                               throws IgniteCheckedException

Creates instance of PageStore based on given file.

Parameters:
  `type` - Data type, can be `PageIdAllocator.FLAG_IDX` or `PageIdAllocator.FLAG_DATA`.
  `file` - File Page store file.
  `allocatedTracker` - metrics updater.
Returns:
  page store
Throws:
  `IgniteCheckedException` - if failed.

#### createPageStore

    PageStore createPageStore(byte type,
                              IgniteOutClosure<Path> pathProvider,
                              LongAdderMetric allocatedTracker)
                       throws IgniteCheckedException

Creates instance of PageStore based on file path provider.

Parameters:
  `type` - Data type, can be `PageIdAllocator.FLAG_IDX` or `PageIdAllocator.FLAG_DATA`
  `pathProvider` - File Page store path provider.
  `allocatedTracker` - metrics updater
Returns:
  page store
Throws:
  `IgniteCheckedException` - if failed

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020